# PetscObjectCreateGeneric

Creates a PetscObject

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscObjectCreateGeneric(MPI_Comm comm, PetscCookie cookie, const char name[], PetscObject *obj)

Collective on PetscObject

### Input Parameter

| comm | - An MPI communicator
| cookie | - The class cookie
| name | - The class name

### Output Parameter

obj -The object

Notes: This is a template intended as a starting point to cut and paste with PetscObjectDestroy_PetscObject() to make new object classes.

Level:developer
Location: src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages